<?php
/**
 * The template for displaying the footer
 *
 * Contains the opening of the #site-footer div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Twenty
 * @since Twenty Twenty 1.0
 */

?>
			<footer id="site-footer" role="contentinfo" class="header-footer-group py-5">
				<div class="section-inner p-0">
					<div class="footer-credits w-100 m-0">

						<p class="footer-copyright font-weight-normal font-size-sm w-100 text-center text-dark">&copy;
							<?php
							echo date_i18n(
								/* translators: Copyright date format, see https://www.php.net/date */
								_x( 'Y', 'copyright date format', 'twentytwenty' )
							);
							?>
							<?php bloginfo( 'name' ); ?> - All Rights reserved
							<span class="sep sep1">|</span>
							<a href="<?php echo home_url(); ?>/privacy-policy/">Privacy Policy</a>
							<span class="sep sep2">|</span>
							Website by <a href="https://ko-websites.com" target="_blank">KO-Websites <span class="screen-reader-text">(Open in a new window)</span></a>
						</p><!-- .footer-copyright -->

					</div><!-- .footer-credits -->
				</div><!-- .section-inner -->

			</footer><!-- #site-footer -->

		<?php wp_footer(); ?>

	</body>
</html>
