<?php
acf_add_local_field_group(array(
    "key" => "group_641dfe2d1a86b",
    "title" => "Block: Image",
    "fields" => array (
        array (
            "key" => "field_641dff2fa7458",
            "label" => "General",
            "name" => "",
            "type" => "tab",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "placement" => "left",
            "endpoint" => 0
        ),
        array (
            "key" => "field_6197a652e881c",
            "label" => "Image/Photo:",
            "name" => "bi_imagephoto",
            "type" => "image",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "50",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "return_format" => "id",
            "library" => "all",
            "min_width" => "",
            "min_height" => "",
            "min_size" => "",
            "max_width" => "",
            "max_height" => "",
            "max_size" => "",
            "mime_types" => "",
            "preview_size" => "medium"
        ),
        array (
            "key" => "field_6197a652d23d0link",
            "label" => "Link:",
            "name" => "bi_headlink",
            "type" => "link",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "50",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "return_format" => "array"
        ),
        array (
            "key" => "field_641dff54a7459",
            "label" => "Options",
            "name" => "",
            "type" => "tab",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "placement" => "left",
            "endpoint" => 0
        ),
        array (
            "key" => "field_641dfeec2bb25",
            "label" => "Column Span:",
            "name" => "bi_column_span",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "col-lg-1" => "Span 1",
                "col-lg-2" => "Span 2",
                "col-lg-3" => "Span 3",
                "col-lg-4" => "Span 4",
                "col-lg-5" => "Span 5",
                "col-lg-6" => "Span 6",
                "col-lg-7" => "Span 7",
                "col-lg-8" => "Span 8",
                "col-lg-9" => "Span 9",
                "col-lg-10" => "Span 10",
                "col-lg-11" => "Span 11",
                "col-lg-12" => "Span 12"
            ),
            "default_value" => "col-lg-12",
            "return_format" => "value",
            "multiple" => 0,
            "allow_null" => 0,
            "ui" => 0,
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_6197a652ec17c",
            "label" => "Alignment:",
            "name" => "bi_alignment",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "text-center" => "Centered",
                "text-left" => "Left aligned",
                "text-right" => "Right aligned"
            ),
            "default_value" => "text-center",
            "return_format" => "value",
            "multiple" => 0,
            "allow_null" => 0,
            "ui" => 0,
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_641dff65a745a",
            "label" => "Image Size:",
            "name" => "bi_image_size",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "full" => "Full",
                "large" => "Large",
                "medium" => "Medium",
                "thumbnail" => "Thumbnail",
                "img-thumb1" => "Thumbnail (400 x 400 pixels)",
                "img-thumb2" => "Thumbnail (400 x 250 pixels)"
            ),
            "default_value" => "large",
            "return_format" => "value",
            "multiple" => 0,
            "allow_null" => 0,
            "ui" => 0,
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_6197a65250e0c_biad",
            "label" => "Advanced:",
            "name" => "bi_advanced",
            "aria-label" => "",
            "type" => "clone",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "clone" => array (
                "group_642093b7c4aa7"
            ),
            "display" => "seamless",
            "layout" => "block",
            "prefix_label" => 0,
            "prefix_name" => 1,
        )
    ),
    "location" => array (
        array (
            array (
                "param" => "post_type",
                "operator" => "==",
                "value" => "global-section"
            )
        )
    ),
    "menu_order" => 0,
    "position" => "normal",
    "style" => "default",
    "label_placement" => "top",
    "instruction_placement" => "label",
    "hide_on_screen" => "",
    "active" => false,
    "description" => "",
    "show_in_rest" => 0,
)); ?>