<div class="block block-content-boxes row justify-content-center">
	<?php
	$number_of_cols = get_sub_field('number_of_cols');
	if( have_rows('ctas') ):
	$cnt = 1;
		while ( have_rows('ctas') ) : the_row();
			$heading = get_sub_field('titlename');
			$featured_image = get_sub_field('photo');
			$short_text = get_sub_field('short_text');
			$button_text = get_sub_field('button_text');
			$button_style = get_sub_field('button_style');

			$url_link_def = array('url'=>'#', 'title'=>'', 'target'=>'_self');
			$url_link = get_sub_field('url_link') ? get_sub_field('url_link') : $url_link_def;
			$url_link_url = $url_link['url'];
			$url_link_title = $url_link['title'] ? $url_link['title'] : $heading;
			$url_link_target = $url_link['target'] ? $url_link['target'] : '_self'; ?>
			<div id="item-<?php echo $cnt; ?>" class="img-item <?php echo $number_of_cols; ?> mt-4 mb-4 mb-md-5">
				<div class="item-inner position-relative">
					<?php if($featured_image): ?>
					<div class="item-img position-relative">
						<a href="<?php echo $url_link_url; ?>" title="<?php echo $url_link_title; ?>" target="<?php echo $url_link_target; ?>">
							<?php echo wp_get_attachment_image( $featured_image, 'img-thumb2', '', array('class'=> 'd-block w-100 m-auto position-absolute') ); ?>
						</a>
					</div>
					<?php endif; ?>
					<div class="item-caption">
						<?php if($short_text): ?>
						<h4 class="heading-size-2 my-4">
						<?php else: ?>
						<h4 class="heading-size-2 my-4">
						<?php endif; ?>
							<a href="<?php echo $url_link_url; ?>" title="<?php echo $url_link_title; ?>" target="<?php echo $url_link_target; ?>" class="text-dark">
								<span><?php echo $heading; ?></span>
							</a>
						</h4>
						<?php if($short_text): ?> <div><?php echo $short_text; ?></div><?php endif; ?>
							
					</div>
						<?php if($short_text): ?> <div class="mt-auto pb-5">
							<?php if($button_style !== 'button-style4'): ?><?php endif; ?><a href="<?php echo $url_link_url; ?>" title="<?php echo $url_link_title; ?>" target="<?php echo $url_link_target; ?>" class="button <?php echo $button_style; ?>"><?php echo $button_text; ?></a></div>
						<?php endif; ?>
				</div>
			</div>
			<?php
				$cnt = $cnt + 1;
		endwhile;
	endif; ?>
</div>