<div class="block block-content-overlay row justify-content-center">
	<?php
	if( have_rows('ctas') ):
		while ( have_rows('ctas') ) : the_row();
			$heading = get_sub_field('titlename');
			$featured_image = get_sub_field('photo');

			$button = get_sub_field('button');
			$buttontext = $button['text'];

			$url_link_def = array('url'=>'#', 'title'=>'', 'target'=>'_self');
			$url_link_url = $url_link['url'];
			$url_link_title = $url_link['title'] ? $url_link['title'] : $heading;
			$url_link_target = $url_link['target'] ? $url_link['target'] : '_self'; ?>
			<div class="img-item col-xl-4 col-md-6 mb-5">
				<div class="item-inner position-relative">
					<div class="item-img">
						<?php echo wp_get_attachment_image( $featured_image, 'img-thumb1', '', array( "class" => "position-absolute m-0 p-0 w-100 h-100" ) ); ?>
					</div>
					<div class="item-caption text-center position-absolute w-100 text-uppercase p-4">
						<a class="d-block text-white heading-size-2 font-weight-bolder mb-4" href="<?php echo $url_link_url; ?>" title="<?php echo $url_link_title; ?>" target="<?php echo $url_link_target; ?>">
							<?php echo $heading; ?>
						</a>
						<a class="button" href="<?php echo $url_link_url; ?>" title="<?php echo $url_link_title; ?>" target="<?php echo $url_link_target; ?>">
							<?php echo $buttontext; ?>
						</a>
					</div>
				</div>
			</div>
			<?php
		endwhile;
	endif; ?>
</div>