<?php
$cbtestimonial = get_field('cbtestimonial', get_the_ID());

$display_option = get_sub_field('display_option'); ?>
<div class="block block-testimonial-carousel block-carousel <?php echo $display_option; ?> wow fadeIn position-relative">
	<?php
	if($display_option === 'slides'):
		$the_query = new WP_Query( array(
			'post_type' => 'wpcr3_review',
			'post_status' => 'publish',
			'order' => 'DESC',
			'orderby' => 'date',
			'posts_per_page' => 5

		) );
	elseif($display_option === 'select'):
		wp_reset_postdata();
		$the_query = new WP_Query( array(
			'post_type' => 'wpcr3_review',
			'post_status' => 'publish',
			'order' => 'DESC',
			'orderby' => 'rand',
			'posts_per_page' => 1,
			'p' => $cbtestimonial ? $cbtestimonial : get_sub_field('select_review')
			
		) ); 
	else: ?>
		<?php
		wp_reset_postdata();
		$the_query = new WP_Query( array(
			'post_type' => 'wpcr3_review',
			'post_status' => 'publish',
			'order' => 'DESC',
			'orderby' => 'rand',
			'posts_per_page' => 1
		) ); 
	endif;

	if ( $the_query->have_posts() ) { 
		?><div class="wpcr3_reviews_holder"><?php
		while ( $the_query->have_posts() ) { $the_query->the_post();
			$name = get_post_meta(get_the_ID(), "wpcr3_review_name", true); 
			$rating = get_post_meta(get_the_ID(), "wpcr3_review_rating", true); ?>
			
				<div class="wpcr3_review_item">
					<div class="wpcr3_item wpcr3_business" itemscope="" itemtype="http://schema.org/LocalBusiness">
						<div class="wpcr3_item_name screen-reader-text"><?php bloginfo( 'name' ); ?></div>
						<meta itemprop="name" content="<?php bloginfo( 'name' ); ?>">
						<meta itemprop="url" content="<?php echo home_url(); ?>">
						<meta itemprop="image" content="<?php echo home_url(); ?>/wp-content/plugins/wp-customer-reviews/css/1x1.png">
						<div class="wpcr3_review" itemprop="review" itemscope="" itemtype="http://schema.org/Review">
							<meta itemprop="author" content="<?php echo $name; ?>">
							<div class="wpcr3_hide" itemprop="reviewRating" itemscope="" itemtype="http://schema.org/Rating">
								<meta itemprop="bestRating" content="<?php echo $rating; ?>">
								<meta itemprop="worstRating" content="1">
								<meta itemprop="ratingValue" content="5">
							</div>
							<div class="wpcr3_review_datePublished screen-reader-text" itemprop="datePublished"><?php echo get_the_date(); ?></div>

							<blockquote class="wpcr3_content px-0" itemprop="reviewBody">
								<?php the_content(); ?>
							</blockquote>

							<div class="wpcr3_review_author mb-4"> 
							<span class="screen-reader-text">by</span> 
							<span class="wpcr3_caps font-weight-bold">- <?php echo $name; ?></span> 
							<span class="screen-reader-text">on </span>
							<span class="wpcr3_item_name screen-reader-text"><?php bloginfo( 'name' ); ?></span>
							</div>
						</div>
					</div>
				</div>
			
			<?php
		}
		wp_reset_postdata();
		?></div><?php
	}  ?>
</div>