<?php
$id = $args['id'];
$bkey = $args['block_key'];
$bbkey = $bkey.'bc_buttons_';

$bbcls = '';
$bbid = '';

$alignment = get_post_meta($id, $bbkey.'alignment', true);
$alignment = $alignment ? $alignment : 'text-center';

$bb_col_span = get_post_meta($id, $bbkey.'column_span', true);
$bb_col_span = $bb_col_span ? $bb_col_span : 'col-lg-12';

$bb_identifier = get_post_meta($id, $bbkey.'bb_advanced_identifier', true);
if($bb_identifier) $bbid = 'id="'.$bb_identifier.'"';

$bb_additional_css_classes = get_post_meta($id, $bbkey.'bb_advanced_additional_css_classes', true);
if($bb_additional_css_classes) $bbcls = $bb_additional_css_classes;

$bb_html_anchor = get_post_meta($id, $bbkey.'bb_advanced_html_anchor', true);

$bb_args = array( 'id' => $bbid, 'class' => $bbcls, 'column_span' => $bb_col_span, 'block' => 'buttons', 'alignment' => $alignment, 'anchor' => $bb_html_anchor);

get_template_part( 'template-parts/blocks/block-start', '', $bb_args);
	$buttons = get_post_meta($id, $bbkey.'buttons', true);
	if( $buttons ):
		for ( $x = 0; $x < $buttons; $x++ ) {
			$button_key = $bbkey.'buttons_'.$x.'_';
			$text = get_post_meta($id, $button_key.'text', true);
			$style = get_post_meta($id, $button_key.'style', true);
			$size = get_post_meta($id, $button_key.'size', true);

			$url_link_def = array('url'=>'#', 'title'=>'', 'target'=>'_self');
			$url_link = get_post_meta($id, $button_key.'url_link', true);
			$url_link = $url_link ? $url_link : $url_link_def;
			$url_link_url = $url_link['url'];
			$url_link_title = $url_link['title'] ? $url_link['title'] : $text;
			$url_link_target = $url_link['target'] ? $url_link['target'] : '_self';
			printf('<a href="%s" target="%s" class="button %s %s">%s</a>', $url_link_url, $url_link_target, $style, $size, $text);
		}
	endif;
get_template_part( 'template-parts/blocks/block-end'); ?>