<?php
$id = $args['id'];
$bkey = $args['block_key'];
$btskey = $bkey.'bts_test_bts_';

$btscls = '';
$btsid = '';
$btsstyle = '';

$bts_col_span = get_post_meta($id, $btskey.'column_span', true);
$bts_col_span = $bts_col_span ? $bts_col_span : 'col-lg-12';

$bts_heading = get_post_meta($id, $btskey.'heading', true);
$bts_reviews = get_post_meta($id, $btskey.'reviews', true);
$bts_display_style = get_post_meta($id, $btskey.'display_style', true);
$bts_display_style = $bts_display_style ? $bts_display_style : 'grid';
$bts_items_to_show = get_post_meta($id, $btskey.'items_to_show', true);
if($bts_items_to_show == 2){ $bts_items_to_show = 'col-lg-6';}
elseif($bts_items_to_show == 3){ $bts_items_to_show = 'col-lg-4';}
elseif($bts_items_to_show == 4){ $bts_items_to_show = 'col-lg-3';}
else{ $bts_items_to_show = 'col-lg-12';}
$bts_ratings = get_post_meta($id, $btskey.'ratings', true);

$bts_identifier = get_post_meta($id, $btskey.'advanced_identifier', true);
if($bts_identifier) $btid = 'id="'.$bts_identifier.'"';

$bts_additional_css_classes = get_post_meta($id, $btskey.'advanced_additional_css_classes', true);
if($bts_additional_css_classes) $btcls = $bts_additional_css_classes;

$bts_html_anchor = get_post_meta($id, $btskey.'advanced_html_anchor', true);

$bts_args = array( 'id' => $btsid, 'class' => $btscls, 'column_span' => $bts_col_span, 'block' => 'testimonials-'.$bts_display_style, 'alignment' => '', 'anchor' => $bts_html_anchor);

get_template_part( 'template-parts/blocks/block-start', '', $bts_args);
	if($bts_heading) printf('<h2 class="text-center">%s</h2>', $bts_heading);
	if( $bts_reviews ):
		printf('%s', '<div class="wrapper-items row">');
		for ( $x = 0; $x < count($bts_reviews); $x++ ) {
			printf('<div class="tes-item %s">', $bts_items_to_show);
				$rates = get_post_meta($bts_reviews[$x], "wpcr3_review_rating", true);
				$name = get_post_meta($bts_reviews[$x], "wpcr3_review_name", true);
                if($rates == 5){
                    $rates = "100%";
                } else if($rates == 4){
                    $rates = "80%";
                } else if($rates == 3){
                    $rates = "60%";
                } else if($rates == 2){
                    $rates = "40%";
                } else{
                    $rates = "20%";
                }
                printf('%s', '<blockquote class="review">');
                if($bts_ratings) printf('<div class="rates"><div class="stars" style="width: %s;">&nbsp;</div></div>', $rates);
                echo wpautop(get_the_content('', false, $bts_reviews[$x]));
                printf('<p class="messby">- %s</p></blockquote>', $name);
			printf('%s', '</div>');
		}
		printf('%s', '</div>');
	endif;
get_template_part( 'template-parts/blocks/block-end'); ?>