<?php
$blog_id = get_option( 'page_for_posts' );
global $post;
if(is_home() || is_archive() || is_single() || is_category()){
	$id = $blog_id;
}else{
	$id = $post->ID;
}

if(get_field('fgt1_visibility', $id)):
if(has_post_thumbnail($id)):
	$thumbid = get_post_thumbnail_id($id);
	$imgurl = wp_get_attachment_image_src( $thumbid , 'full');
else:
	$imgurl[0] = get_stylesheet_directory_uri().'/assets/img/default-hero.jpg';
endif;  ?>
<section class="sec-banner sec-hero p-0 position-relative bg-light">
	<div class="container-fluid px-0" <?php if($imgurl[0]): ?>style="background-image: url('<?php echo $imgurl[0]; ?>');"<?php endif; ?>>
		<div class="banner-caption d-flex justify-content-center align-items-center text-center">
			<div class="container">
				<h2 class="heading-size-1 m-0 text-white has-no-line"><?php echo get_post_meta($id, 'fgt1_heading2', true); ?></h2>
				<?php if(get_field('banner_caption_button')['fgt1_visibility_button']): ?> <a href="<?php echo get_field('banner_caption_button')['url_link']; ?>" target="_self" class="mt-5 button button-white"><?php echo get_field('banner_caption_button')['text_label']; ?></a><?php endif; ?>
			</div>
		</div>
	</div>
</section>
<?php
endif; ?>