<?php
acf_add_local_field_group(array(
    "key" => "group_641c2726abb76",
    "title" => "Block: CTA Box",
    "fields" => array (
        array (
            "key" => "field_6197a652adddb",
            "label" => "General",
            "name" => "",
            "type" => "tab",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "placement" => "left",
            "endpoint" => 0
        ),
        array (
            "key" => "field_6197a653a946b",
            "label" => "Heading:",
            "name" => "bcb_titlename",
            "type" => "text",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "50",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "default_value" => "",
            "placeholder" => "",
            "prepend" => "",
            "append" => "",
            "maxlength" => ""
        ),
        array (
            "key" => "field_6197a653acf15",
            "label" => "Featured Image/Photo:",
            "name" => "bcb_photo",
            "type" => "image",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "50",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "return_format" => "id",
            "preview_size" => "medium",
            "library" => "all",
            "min_width" => "",
            "min_height" => "",
            "min_size" => "",
            "max_width" => "",
            "max_height" => "",
            "max_size" => "",
            "mime_types" => ""
        ),
        array (
            "key" => "field_6197a652adddbtext",
            "label" => "Text",
            "name" => "",
            "type" => "tab",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "placement" => "left",
            "endpoint" => 0
        ),
        array (
            "key" => "field_641f3d3185efdtext",
            "label" => "Short Detail:",
            "name" => "bcb_detail",
            "type" => "textarea",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "default_value" => "",
            "placeholder" => "",
            "maxlength" => "",
            "rows" => "",
            "new_lines" => "wpautop"
        ),
        array (
            "key" => "field_641ac8d8b8ad6",
            "label" => "Button:",
            "name" => "bcb_button",
            "type" => "group",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "layout" => "table",
            "sub_fields" => array (
                array (
                    "key" => "field_641ac8eab8ad7",
                    "label" => "Text:",
                    "name" => "text",
                    "type" => "text",
                    "instructions" => "",
                    "required" => 0,
                    "conditional_logic" => 0,
                    "wrapper" => array (
                        "width" => "",
                        "class" => "",
                        "id" => ""
                    ),
                    "aria-label" => "",
                    "default_value" => "",
                    "placeholder" => "",
                    "prepend" => "",
                    "append" => "",
                    "maxlength" => ""
                ),
                array (
                    "key" => "field_6197a653b0a8f",
                    "label" => "URL Link:",
                    "name" => "url_link",
                    "type" => "link",
                    "instructions" => "",
                    "required" => 0,
                    "conditional_logic" => 0,
                    "wrapper" => array (
                        "width" => "",
                        "class" => "",
                        "id" => ""
                    ),
                    "aria-label" => "",
                    "return_format" => "array"
                )
            )
        ),
        array (
            "key" => "field_641c27c0beb5f",
            "label" => "Options",
            "name" => "",
            "type" => "tab",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "placement" => "left",
            "endpoint" => 0
        ),
        array (
            "key" => "field_641c27eece6ec",
            "label" => "Column Span:",
            "name" => "bcb_column_span",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "col-lg-1" => "Span 1",
                "col-lg-2" => "Span 2",
                "col-lg-3" => "Span 3",
                "col-lg-4" => "Span 4",
                "col-lg-5" => "Span 5",
                "col-lg-6" => "Span 6",
                "col-lg-7" => "Span 7",
                "col-lg-8" => "Span 8",
                "col-lg-9" => "Span 9",
                "col-lg-10" => "Span 10",
                "col-lg-11" => "Span 11",
                "col-lg-12" => "Span 12"
            ),
            "default_value" => "col-lg-4",
            "allow_null" => 0,
            "multiple" => 0,
            "ui" => 0,
            "return_format" => "value",
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_641c29fe51a55",
            "label" => "Image Size:",
            "name" => "bcb_image_size",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "full" => "Full",
                "large" => "Large",
                "medium" => "Medium",
                "thumbnail" => "Thumbnail",
                "img-thumb1" => "Thumbnail (400 x 400 pixels)",
                "img-thumb2" => "Thumbnail (400 x 250 pixels)"
            ),
            "default_value" => "img-thumb1",
            "allow_null" => 0,
            "multiple" => 0,
            "ui" => 0,
            "return_format" => "value",
            "ajax" => 0,
            "placeholder" => ""
        ),
         array (
            "key" => "field_641c29fe51a55style",
            "label" => "Display Style:",
            "name" => "bcb_style",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "default" => "Default",
                "overlay" => "Overlay",
                "bordered" => "Bordered Box"
            ),
            "default_value" => "default",
            "allow_null" => 0,
            "multiple" => 0,
            "ui" => 0,
            "return_format" => "value",
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_6197a65250e0c_bcbad",
            "label" => "Advanced:",
            "name" => "bcb_advanced",
            "aria-label" => "",
            "type" => "clone",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "clone" => array (
                "group_642093b7c4aa7"
            ),
            "display" => "seamless",
            "layout" => "block",
            "prefix_label" => 0,
            "prefix_name" => 1,
        )
    ),
    "location" => array (
        array (
            array (
                "param" => "post_type",
                "operator" => "==",
                "value" => "global-section"
            )
        )
    ),
    "menu_order" => 0,
    "position" => "normal",
    "style" => "default",
    "label_placement" => "top",
    "instruction_placement" => "label",
    "hide_on_screen" => "",
    "active" => false,
    "description" => "",
    "show_in_rest" => false,
)); ?>