<?php
acf_add_local_field_group(array(
    "key" => "group_5f53f364c61b0",
    "title" => "Design: Background",
    "fields" => array (
        array (
            "key" => "field_5f53f3c5d0549",
            "label" => "Color:",
            "name" => "color",
            "type" => "color_picker",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "default_value" => "",
            "enable_opacity" => false,
            "return_format" => "string"
        ),
        array (
            "key" => "field_5f53f57cb8ce2",
            "label" => "Opacity:",
            "name" => "opacity",
            "type" => "number",
            "instructions" => "Overlay background color.",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "default_value" => 0,
            "placeholder" => "",
            "prepend" => "",
            "append" => "",
            "min" => 0,
            "max" => 1,
            "step" => ""
        ),
        array (
            "key" => "field_5f53f3dcd054a",
            "label" => "Image:",
            "name" => "image",
            "type" => "image",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "return_format" => "url",
            "preview_size" => "thumbnail",
            "library" => "all",
            "min_width" => "",
            "min_height" => "",
            "min_size" => "",
            "max_width" => "",
            "max_height" => "",
            "max_size" => "",
            "mime_types" => ""
        ),
        array (
            "key" => "field_5f53f3ffd054b",
            "label" => "Position:",
            "name" => "position",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "center center" => "Center Center",
                "center top" => "Center Top",
                "center bottom" => "Center Bottom",
                "center left" => "Center Left",
                "center right" => "Center Right",
                "top left" => "Top Left",
                "top right" => "Top Right",
                "bottom left" => "Bottom Left",
                "bottom right" => "Bottom Right"
            ),
            "default_value" => "center center",
            "allow_null" => 0,
            "multiple" => 0,
            "ui" => 0,
            "return_format" => "value",
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_5f5670c74c36c",
            "label" => "Repeat:",
            "name" => "repeat",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "no-repeat" => "No Repeat",
                "repeat" => "Repeat Vertically and Horizontally",
                "repeat-x" => "Repeat Vertically",
                "repeat-y" => "Repeat Horizontally"
            ),
            "default_value" => "no-repeat",
            "allow_null" => 0,
            "multiple" => 0,
            "ui" => 0,
            "return_format" => "value",
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_5f55e1104c36b",
            "label" => "Size:",
            "name" => "size",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "initial" => "Default",
                "cover" => "Cover",
                "contain" => "Contain",
                "100% 100%" => "Fit"
            ),
            "default_value" => "cover",
            "allow_null" => 0,
            "multiple" => 0,
            "ui" => 0,
            "return_format" => "value",
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_5f5672944c36d",
            "label" => "Parallax Background:",
            "name" => "parallax_background",
            "type" => "true_false",
            "instructions" => "This will be applied only in desktop view.",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "message" => "",
            "default_value" => 0,
            "ui" => 0,
            "ui_on_text" => "",
            "ui_off_text" => ""
        )
    ),
    "location" => array (
        array (
            array (
                "param" => "options_page",
                "operator" => "==",
                "value" => "theme-general-settings"
            )
        )
    ),
    "menu_order" => 100,
    "position" => "normal",
    "style" => "default",
    "label_placement" => "top",
    "instruction_placement" => "label",
    "hide_on_screen" => "",
    "active" => false,
    "description" => "Important for Flexible Content",
)); ?>