<?php
acf_add_local_field_group(array(
    "key" => "group_641bf21b84a8b",
    "title" => "Block: Heading",
    "fields" => array (
        array (
            "key" => "field_6197a652cb011",
            "label" => "General",
            "name" => "",
            "type" => "tab",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "placement" => "left",
            "endpoint" => 0
        ),
        array (
            "key" => "field_6197a652cea35",
            "label" => "Heading Text:",
            "name" => "bh_heading_text",
            "type" => "text",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "50",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "default_value" => "",
            "placeholder" => "",
            "prepend" => "",
            "append" => "",
            "maxlength" => ""
        ),
        array (
            "key" => "field_6197a652d23d0",
            "label" => "Link:",
            "name" => "bh_headlink",
            "type" => "link",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "50",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "return_format" => "array"
        ),
        array (
            "key" => "field_6197a652d5fb1",
            "label" => "Options",
            "name" => "",
            "type" => "tab",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "placement" => "left",
            "endpoint" => 0
        ),
        array (
            "key" => "field_641bf330c9e96",
            "label" => "Column Span:",
            "name" => "bh_column_span",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "col-lg-1" => "Span 1",
                "col-lg-2" => "Span 2",
                "col-lg-3" => "Span 3",
                "col-lg-4" => "Span 4",
                "col-lg-5" => "Span 5",
                "col-lg-6" => "Span 6",
                "col-lg-7" => "Span 7",
                "col-lg-8" => "Span 8",
                "col-lg-9" => "Span 9",
                "col-lg-10" => "Span 10",
                "col-lg-11" => "Span 11",
                "col-lg-12" => "Span 12"
            ),
            "default_value" => "col-lg-12",
            "allow_null" => 0,
            "multiple" => 0,
            "ui" => 0,
            "return_format" => "value",
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_6197a652d9b07",
            "label" => "Heading Tag:",
            "name" => "bh_heading_tag",
            "type" => "select",
            "instructions" => "Choose HTML tag of the heading, either div or the heading tag, h1-h6.",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "h1" => "Heading 1",
                "h2" => "Heading 2",
                "h3" => "Heading 3",
                "h4" => "Heading 4",
                "h5" => "Heading 5",
                "h6" => "Heading 6",
                "p" => "Paragraph"
            ),
            "default_value" => "h2",
            "allow_null" => 0,
            "multiple" => 0,
            "ui" => 0,
            "return_format" => "value",
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_6197a652dd560",
            "label" => "Font Size:",
            "name" => "bh_font_size",
            "type" => "number",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "default_value" => "",
            "placeholder" => "",
            "prepend" => "",
            "append" => "px",
            "min" => "",
            "max" => "",
            "step" => ""
        ),
        array (
            "key" => "field_6197a652e117f",
            "label" => "Color:",
            "name" => "bh_color",
            "type" => "color_picker",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "default_value" => "",
            "enable_opacity" => 0,
            "return_format" => "string"
        ),
        array (
            "key" => "field_6197a65250e0c_bhad",
            "label" => "Advanced:",
            "name" => "bh_advanced",
            "aria-label" => "",
            "type" => "clone",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "clone" => array (
                "group_642093b7c4aa7"
            ),
            "display" => "seamless",
            "layout" => "block",
            "prefix_label" => 0,
            "prefix_name" => 1,
        )
    ),
    "location" => array (
        array (
            array (
                "param" => "post_type",
                "operator" => "==",
                "value" => "global-section"
            )
        )
    ),
    "menu_order" => 0,
    "position" => "normal",
    "style" => "default",
    "label_placement" => "top",
    "instruction_placement" => "label",
    "hide_on_screen" => "",
    "active" => false,
    "description" => "",
    "show_in_rest" => false,
)); ?>