<?php
acf_add_local_field_group(array(
    "key" => "group_641c6b3bccdfc",
    "title" => "Block: Recent Posts",
    "fields" => array (
        array (
            "key" => "field_641c6c97715d4",
            "label" => "General",
            "name" => "",
            "type" => "tab",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "placement" => "left",
            "endpoint" => 0
        ),
        array (
            "key" => "field_6197a65311a0d",
            "label" => "Number of Posts displayed:",
            "name" => "number_of_posts_displayed",
            "type" => "number",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "default_value" => 3,
            "placeholder" => "",
            "prepend" => "",
            "append" => "",
            "min" => 2,
            "max" => 4,
            "step" => ""
        ),
        array (
            "key" => "field_641dff54a7459_brp",
            "label" => "Options",
            "name" => "",
            "type" => "tab",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "placement" => "left",
            "endpoint" => 0
        ),
        array (
            "key" => "field_641c6c1833856",
            "label" => "Column Span:",
            "name" => "brp_column_span",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "aria-label" => "",
            "choices" => array (
                "col-lg-1" => "Span 1",
                "col-lg-2" => "Span 2",
                "col-lg-3" => "Span 3",
                "col-lg-4" => "Span 4",
                "col-lg-5" => "Span 5",
                "col-lg-6" => "Span 6",
                "col-lg-7" => "Span 7",
                "col-lg-8" => "Span 8",
                "col-lg-9" => "Span 9",
                "col-lg-10" => "Span 10",
                "col-lg-11" => "Span 11",
                "col-lg-12" => "Span 12"
            ),
            "default_value" => "col-lg-12",
            "allow_null" => 0,
            "multiple" => 0,
            "ui" => 0,
            "return_format" => "value",
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_6197a65250e0c_brpad",
            "label" => "Advanced:",
            "name" => "brp_advanced",
            "aria-label" => "",
            "type" => "clone",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "clone" => array (
                "group_642093b7c4aa7"
            ),
            "display" => "seamless",
            "layout" => "block",
            "prefix_label" => 0,
            "prefix_name" => 1,
        )
    ),
    "location" => array (
        array (
            array (
                "param" => "post_type",
                "operator" => "==",
                "value" => "global-section"
            )
        )
    ),
    "menu_order" => 0,
    "position" => "normal",
    "style" => "default",
    "label_placement" => "top",
    "instruction_placement" => "label",
    "hide_on_screen" => "",
    "active" => false,
    "description" => "",
    "show_in_rest" => false,
)); ?>