<?php
acf_add_local_field_group(array(
    "key" => "group_6423b6924c60b",
    "title" => "Block: Testimonials",
    "fields" => array (
        array (
            "key" => "field_6423b69388746",
            "label" => "General",
            "name" => "",
            "aria-label" => "",
            "type" => "tab",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "placement" => "left",
            "endpoint" => 0
        ),
        array (
            "key" => "field_6423b71188747",
            "label" => "Heading:",
            "name" => "bts_heading",
            "aria-label" => "",
            "type" => "text",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "default_value" => "",
            "maxlength" => "",
            "placeholder" => "",
            "prepend" => "",
            "append" => ""
        ),
        array (
            "key" => "field_6423baeebb6af",
            "label" => "Selected Reviews:",
            "name" => "bts_reviews",
            "aria-label" => "",
            "type" => "post_object",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "66",
                "class" => "",
                "id" => ""
            ),
            "post_type" => array (
                "wpcr3_review"
            ),
            "taxonomy" => "",
            "return_format" => "id",
            "multiple" => 1,
            "allow_null" => 0,
            "ui" => 1
        ),
        array (
            "key" => "field_6423b74088748",
            "label" => "Display Style:",
            "name" => "bts_display_style",
            "aria-label" => "",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "choices" => array (
                "grid" => "Grid",
                "carousel" => "Carousel"
            ),
            "default_value" => "grid",
            "return_format" => "value",
            "multiple" => 0,
            "allow_null" => 0,
            "ui" => 0,
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_6423b7f98874a",
            "label" => "Items to show/Columns:",
            "name" => "bts_items_to_show",
            "aria-label" => "",
            "type" => "number",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "default_value" => 3,
            "min" => 1,
            "max" => 4,
            "placeholder" => "",
            "step" => "",
            "prepend" => "",
            "append" => ""
        ),
        array (
            "key" => "field_6423b77e88749",
            "label" => "Ratings:",
            "name" => "bts_ratings",
            "aria-label" => "",
            "type" => "true_false",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "33",
                "class" => "",
                "id" => ""
            ),
            "message" => "",
            "default_value" => 0,
            "ui" => 0,
            "ui_on_text" => "",
            "ui_off_text" => ""
        ),
        array (
            "key" => "field_6423b8b78874b",
            "label" => "Options",
            "name" => "",
            "aria-label" => "",
            "type" => "tab",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "placement" => "left",
            "endpoint" => 0
        ),
        array (
            "key" => "field_6423b9668874c",
            "label" => "Column Span:",
            "name" => "bts_column_span",
            "aria-label" => "",
            "type" => "select",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "choices" => array (
                "col-lg-1" => "Span 1",
                "col-lg-2" => "Span 2",
                "col-lg-3" => "Span 3",
                "col-lg-4" => "Span 4",
                "col-lg-5" => "Span 5",
                "col-lg-6" => "Span 6",
                "col-lg-7" => "Span 7",
                "col-lg-8" => "Span 8",
                "col-lg-9" => "Span 9",
                "col-lg-10" => "Span 10",
                "col-lg-11" => "Span 11",
                "col-lg-12" => "Span 12"
            ),
            "default_value" => "col-lg-12",
            "return_format" => "value",
            "multiple" => 0,
            "allow_null" => 0,
            "ui" => 0,
            "ajax" => 0,
            "placeholder" => ""
        ),
        array (
            "key" => "field_6423ba008874e",
            "label" => "Advanced:",
            "name" => "bts_advanced",
            "aria-label" => "",
            "type" => "clone",
            "instructions" => "",
            "required" => 0,
            "conditional_logic" => 0,
            "wrapper" => array (
                "width" => "",
                "class" => "",
                "id" => ""
            ),
            "clone" => array (
                "group_642093b7c4aa7"
            ),
            "display" => "seamless",
            "layout" => "block",
            "prefix_label" => 0,
            "prefix_name" => 1
        )
    ),
    "location" => array (
        array (
            array (
                "param" => "post_type",
                "operator" => "==",
                "value" => "global-section"
            )
        )
    ),
    "menu_order" => 0,
    "position" => "normal",
    "style" => "default",
    "label_placement" => "top",
    "instruction_placement" => "label",
    "hide_on_screen" => "",
    "active" => false,
    "description" => "",
    "show_in_rest" => 0
)); ?>