<?php
function child_theme_widgets(){
    unregister_sidebar('sidebar-1');
    unregister_sidebar('sidebar-2');
    register_sidebar( array(
        'name'          => __( 'Sidebar 1', 'twentytwenty' ),
        'id'            => 'sidebar-1',
        'description' => __( 'Widgets in this area will be displayed in the sidebar.', 'twentytwenty' ),
        'before_title'  => '<h3 class="widget-title has-underline mb-3 pb-3 text-uppercase">',
        'after_title'   => '</h3>',
        'before_widget' => '<div class="widget %2$s mt-5"><div class="widget-content">',
        'after_widget'  => '</div></div>',
    ) );
    register_sidebar( array(
        'name'          => __( 'Footer Widgets 1', 'twentytwenty' ),
        'id'            => 'footer-1',
        'description' => __( 'Widgets in this area will be displayed in the footer.', 'twentytwenty' ),
        'before_title'  => '<h3 class="widget-title d-none">',
        'after_title'   => '</h3>',
        'before_widget' => '<div class="widget %2$s"><div class="widget-content">',
        'after_widget'  => '</div></div>',
    ) );
    register_sidebar( array(
        'name'          => __( 'Footer Widgets 2', 'twentytwenty' ),
        'id'            => 'footer-2',
        'description' => __( 'Widgets in this area will be displayed in the footer.', 'twentytwenty' ),
        'before_title'  => '<h3 class="widget-title d-none">',
        'after_title'   => '</h3>',
        'before_widget' => '<div class="widget %2$s"><div class="widget-content">',
        'after_widget'  => '</div></div>',
    ) );
    register_sidebar( array(
        'name'          => __( 'Footer Widgets 3', 'twentytwenty' ),
        'id'            => 'footer-3',
        'description' => __( 'Widgets in this area will be displayed in the footer.', 'twentytwenty' ),
        'before_title'  => '<h3 class="widget-title d-none">',
        'after_title'   => '</h3>',
        'before_widget' => '<div class="widget %2$s"><div class="widget-content">',
        'after_widget'  => '</div></div>',
    ) );
    register_sidebar( array(
        'name'          => __( 'Footer Widgets 4', 'twentytwenty' ),
        'id'            => 'footer-4',
        'description' => __( 'Widgets in this area will be displayed in the footer.', 'twentytwenty' ),
        'before_title'  => '<h3 class="widget-title d-none">',
        'after_title'   => '</h3>',
        'before_widget' => '<div class="widget %2$s"><div class="widget-content">',
        'after_widget'  => '</div></div>',
    ) );
}
add_action( 'widgets_init', 'child_theme_widgets', 11 );
add_filter('widget_text','do_shortcode'); ?>