<?php
/**
 * The template for displaying single posts and pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Twenty_Twenty
 * @since Twenty Twenty 1.0
 */

get_header();
?>

<main id="site-content" role="main">

	<?php

	if ( have_posts() ) {

		while ( have_posts() ) {
			the_post();
			get_template_part( 'template-parts/sec', 'slider' );
			get_template_part( 'template-parts/sec', 'banner' );
			?>
			<section class="sec-row">
				<div class="container">
					<div class="row">
						<div class="page-main-content col-md-12">
						<?php
						get_template_part( 'template-parts/content', get_post_type() );
						?>
						</div>
					</div>
				</div>
			</section>
			<?php
		}
	}

	?>

</main><!-- #site-content -->

<?php get_template_part( 'template-parts/footer-menus-widgets' ); ?>

<?php get_footer(); ?>
