<div class="block block-content-boxes-h row justify-content-center">
	<?php
	$number_of_cols = get_sub_field('number_of_cols');
	if( have_rows('ctas') ):
	$cnt = 1;
		while ( have_rows('ctas') ) : the_row();
			$heading = get_sub_field('titlename');
			$featured_image = get_sub_field('photo');

			$url_link = get_sub_field('url_link');
			if($url_link):
				$url_link_url = $url_link['url'];
				$url_link_title = $url_link['title'] ? $url_link['title'] : $heading;
				$url_link_target = $url_link['target'] ? $url_link['target'] : '_self';
			endif; ?>
			<div id="item-<?php echo $cnt; ?>" class="img-item <?php echo $number_of_cols; ?> mt-4 mb-4 mb-md-5">
				<div class="item-inner wow fadeIn position-relative h-100">
					<div class="item-img position-relative bg-light">
						<?php if($url_link): ?>
							<a href="<?php echo $url_link_url; ?>" title="<?php echo $url_link_title; ?>" target="<?php echo $url_link_target; ?>">
						<?php endif; ?>
							<?php echo wp_get_attachment_image( $featured_image, 'large', '', array('class'=> 'd-block w-100 m-auto') ); ?>
						<?php if($url_link): ?>
						</a>
						<?php endif; ?>
					</div>
					<div class="item-caption p-4 text-center">
						<h4 class="m-0">
							<?php if($url_link): ?>
							<a href="<?php echo $url_link_url; ?>" title="<?php echo $url_link_title; ?>" target="<?php echo $url_link_target; ?>">
							<?php endif; ?>	
								<span class="text-white"><?php echo $heading; ?></span>
							<?php if($url_link): ?>
							</a>
							<?php endif; ?>
						</h4>
					</div>
				</div>
			</div>
			<?php
				$cnt = $cnt + 1;
		endwhile;
	endif; ?>
</div>