<div class="block block-carousel block-products-carousel text-center wow fadeIn pt-4">
<?php
wp_reset_postdata();
$the_query = new WP_Query( array(
	'post_type' => 'product',
	'post_status' => 'publish',
	'order' => 'DESC',
	'orderby' => 'date',
	'posts_per_page' => 8
) ); 
if ( $the_query->have_posts() ) { 
	while ( $the_query->have_posts() ) { $the_query->the_post();
		$name = get_the_title();
		$id = get_the_ID();
		$link = get_permalink();
		$product = wc_get_product( $id ); ?> 
		<div class="img-grid-item d-flex justify-content-center px-4 px-lg-5">
			<div class="item-inner">
				<a href="<?php echo $link; ?>">
					<?php echo wp_get_attachment_image( get_post_thumbnail_id($id), 'large', '', array('class' => 'pimg mx-auto') ); ?>
				</a>
				<h4 class="pname heading-size-4 d-block mt-3 mb-0 pt-3 text-dark"><a href="<?php echo $link; ?>"><?php echo $name; ?></a></h4>
				<p class="psku m-0"><?php echo $product->get_sku(); ?></p>
				<p class="pprice mb-4 text-red font-weight-bold"><span class="regprice text-dark font-weight-normal text-through">$<?php echo $product->get_regular_price(); ?></span><br />$<?php echo $product->get_sale_price(); ?></p>
				<p class="paddcart m-0"><a href="<?php echo home_url('?add-to-cart='.$id); ?>" class="button product_type_simple add_to_cart_button ajax_add_to_cart" data-quantity="1" data-product_id="<?php echo $id; ?>" data-product_sku="<?php echo $product->get_sku(); ?>" aria-label="Add <?php echo $name; ?> to your cart" rel="nofollow">Add to Cart</a></p>
			</div>
		</div>
		<?php
	}
	wp_reset_postdata();
} ?>
</div>