<?php
$id = $args['id'];
$bkey = $args['block_key'];
$bcbkey = $bkey.'bcta_box_bcb_';

$bcb_col_span = get_post_meta($id, $bcbkey.'column_span', true);
$bcb_col_span = $bcb_col_span ? $bcb_col_span : 'col-lg-12';

$bcb_style = get_post_meta($id, $bcbkey.'style', true);

$bcb_id = get_post_meta($id, $bcbkey.'advanced_identifier', true);
$bcb_id = $bcb_id ? 'id="'.$bcb_id.'"' : '';

$bcb_cls = get_post_meta($id, $bcbkey.'advanced_additional_css_classes', true);
$bcb_cls = $bcb_cls ? $bcb_cls : '';
$bcb_cls = trim($bcb_cls);

$bcb_btncls = $bcb_style === 'overlay' ? 'button-link d-inline-block text-white is-underline-link' : 'button';

$bcb_achor = get_post_meta($id, $bcbkey.'advanced_html_anchor', true);

$bcb_args = array(
 	'id' => $bcb_id,
  	'class' => $bcb_cls,
   	'column_span' => $bcb_col_span,
    'block' => 'cta-box-'.$bcb_style,
    'alignment' => '',
    'anchor' => $bcb_achor);

get_template_part( 'template-parts/blocks/block-start', '', $bcb_args);
	$bcta_heading = get_post_meta($id, $bcbkey.'titlename', true);
	$bcb_detail = get_post_meta($id, $bcbkey.'detail', true);
	$bcta_photo = get_post_meta($id, $bcbkey.'photo', true);
	$bcb_image_size = get_post_meta($id, $bcbkey.'image_size', true);

	$buttontext = get_post_meta($id, $bcbkey.'button_text', true);

	$url_link = get_post_meta($id, $bcbkey.'button_url_link', true);
	$url_link_url = '';
	$url_link_title = '';
	$url_link_target = '';
	if($url_link){
		$url_link_url = $url_link['url'];
		$url_link_title = $url_link['title'] ? $url_link['title'] : $bcta_heading;
		$url_link_target = $url_link['target'] ? $url_link['target'] : '_self';
	} ?>
	<div class="bl-img position-relative">
		<?php
		if($url_link) printf('<a href="%s" title="%s" target="%s">', $url_link_url, $url_link_title, $url_link_target);
			echo wp_get_attachment_image( $bcta_photo, $bcb_image_size, '', array( "class" => "position-absolute w-100 h-100" ) );
		if($url_link) printf('%s', '</a>'); ?>
	</div>
	<div class="bl-details text-center py-3">
		<div class="bl-heading d-flex justify-content-center align-items-center text-center py-2 px-4">
			<?php
			if($url_link){
				printf('<h3 class="mb-0"><a href="%s" title="%s" target="%s">%s</a></h3>', $url_link_url, $url_link_title, $url_link_target, $bcta_heading);
			}else{
				printf('<h3 class="mb-0">%s</h3>', $bcta_heading);
			}  ?>
		</div>
		<?php
		if($bcb_detail) printf('<div class="bl-desc">%s</div>', $bcb_detail);
		if($buttontext)
			printf('<a class="%s" href="%s" title="%s" target="%s">%s</a>', $bcb_btncls, $url_link_url, $url_link_title, $url_link_target, $buttontext);  ?>
	</div><?php
	if($bcb_style === 'overlay') printf('<a class="bl-link" href="%s" target="%s" aria-hidden="true"><span class="screen-reader-text">View more %s</a>', $url_link_url, $url_link_title, $url_link_target, $bcta_heading);

get_template_part( 'template-parts/blocks/block-end'); ?>