<?php
$bkey = $args['block_key'];
$id = $args['id'];
$bhkey = $bkey.'bh_heading_bh_';

$hcls = '';
$hid = '';
$hstyle = '';

$heading_text = get_post_meta($id, $bhkey.'heading_text', true);

$bh_link = get_post_meta($id, $bhkey.'headlink', true);
$bh_link_start = '';
$bh_link_end = '';
if($bh_link){
	$url_link_url = $bh_link['url'];
	$url_link_title = $bh_link['title'] ? $bh_link['title'] : $heading_text;
	$url_link_target = $bh_link['target'] ? $bh_link['target'] : '_self';
	$bh_link_start = '<a href="'.$url_link_url.'" title="'.$url_link_title.'" target="'.$url_link_target.'">';
	$bh_link_end = '</a>';
}

$color = get_post_meta($id, $bhkey.'color', true);
$font_size = get_post_meta($id, $bhkey.'font_size', true);
$htag = get_post_meta($id, $bhkey.'heading_tag', true);
$htag = $htag ? $htag : 'h2';

if($color) $hstyle .= 'color:'.$color.';';
if($font_size) $hstyle .= 'font-size:'.$font_size.'px;';
if($color || $font_size) $hstyle = 'style="'.$hstyle.'"';

$bh_col_span = get_post_meta($id, $bhkey.'column_span', true);
$bh_col_span = $bh_col_span ? $bh_col_span : 'col-lg-12';

$bh_identifier = get_post_meta($id, $bhkey.'advanced_identifier', true);
if($bh_identifier) $hid = 'id="'.$bh_identifier.'"';

$additional_css_classes = get_post_meta($id, $bhkey.'advanced_additional_css_classes', true);
if($additional_css_classes) $hcls = $additional_css_classes;

$bh_html_anchor = get_post_meta($id, $bhkey.'advanced_html_anchor', true);

$bh_args = array( 'id' => $hid, 'class' => $hcls, 'column_span' => $bh_col_span, 'block' => 'heading', 'alignment' => '', 'anchor' => $bh_html_anchor);

get_template_part( 'template-parts/blocks/block-start', '', $bh_args);
	printf('<%s %s>%s%s%s</%s>', $htag, $hstyle, $bh_link_start, $heading_text, $bh_link_end, $htag);
get_template_part( 'template-parts/blocks/block-end'); ?>