<?php
$id = $args['id'];
$bkey = $args['block_key'];
$bikey = $bkey.'bi_img_bi_';

$bi_col_span = get_post_meta($id, $bikey.'column_span', true);
$bi_col_span = $bi_col_span ? $bi_col_span : 'col-lg-12';

$bi_imagephoto = get_post_meta($id, $bikey.'imagephoto', true);
$bi_alignment = get_post_meta($id, $bikey.'alignment', true);
$bi_image_size = get_post_meta($id, $bikey.'image_size', true);

$bi_imagephoto = wp_get_attachment_image( $bi_imagephoto, $bi_image_size, "", array( "class" => "d-inline-block" ) );

$bi_headlink = get_post_meta($id, $bikey.'headlink', true);
$bi_link_start = '';
$bi_link_end = '';
if($bi_headlink){
	$url_link_url = $bi_headlink['url'];
	$url_link_title = $bi_headlink['title'] ? $bi_headlink['title'] : $text;
	$url_link_target = $bi_headlink['target'] ? $bi_headlink['target'] : '_self';
	$bi_link_start = '<a href="'.$url_link_url.'" title="'.$url_link_title.'" target="'.$url_link_target.'">';
	$bi_link_end = '</a>';
}

$bi_advanced_id = get_post_meta($id, $bikey.'advanced_identifier', true);
$bi_advanced_id = $bi_advanced_id ? 'id="'.$bi_advanced_id.'"' : '';

$bi_advanced_cls = get_post_meta($id, $bikey.'advanced_additional_css_classes', true);
$bi_advanced_cls = $bi_advanced_cls ? $bi_advanced_cls : '';
$bi_cls = $bi_alignment.' '.$bi_advanced_cls;
$bi_cls = trim($bi_cls);

$bi_advanced_achor = get_post_meta($id, $bikey.'advanced_html_anchor', true);

$bi_args = array(
 	'id' => $bi_advanced_id,
  	'class' => $bi_cls,
   	'column_span' => $bi_col_span,
    'block' => 'image',
    'alignment' => $bi_alignment,
    'anchor' => $bi_advanced_achor);

get_template_part( 'template-parts/blocks/block-start', '', $bi_args);
	printf('<div %s class="img-wrapper %s">%s%s%s</div>',$bi_advanced_id, $bi_cls, $bi_link_start, $bi_imagephoto, $bi_link_end);
get_template_part( 'template-parts/blocks/block-end'); ?>