<?php
$id = $args['id'];
$bkey = $args['block_key'];
$tskey = $bkey.'ts_text_slides_';

$tscls = '';
$tsid = '';

$ts_col_span = get_post_meta($id, $tskey.'ts_column_span', true);
$ts_col_span = $ts_col_span ? $ts_col_span : 'col-lg-12';

$ts_identifier = get_post_meta($id, $tskey.'ts_advanced_identifier', true);
if($ts_identifier) $tsid = 'id="'.$ts_identifier.'"';

$ts_additional_css_classes = get_post_meta($id, $tskey.'ts_advanced_additional_css_classes', true);
if($ts_additional_css_classes) $tscls = $ts_additional_css_classes;

$ts_html_anchor = get_post_meta($id, $tskey.'bb_advanced_html_anchor', true);

$ts_args = array( 'id' => $tsid, 'class' => $tscls, 'column_span' => $ts_col_span, 'block' => 'text-slider', 'alignment' => '', 'anchor' => $ts_html_anchor);

get_template_part( 'template-parts/blocks/block-start', '', $ts_args);
	$slides = get_post_meta($id, $tskey.'ts__text_slides', true);
	if( $slides ):
		echo '<div class="text-slider-carousel">';
		for ( $x = 0; $x < $slides; $x++ ) {
			$slide_key = $tskey.'ts__text_slides_'.$x.'_';
			$text = get_post_meta($id, $slide_key.'text_slide', true);
			printf('<div class="text-slide heading-size-xl">%s</div>', $text);
		}
		echo '</div>';
	endif;
get_template_part( 'template-parts/blocks/block-end'); ?>