<?php
$id = $args['id'];
$bkey = $args['block_key'];
$btkey = $bkey.'bt_text_bt_';

$btcls = '';
$btid = '';
$btstyle = '';

$bt_col_span = get_post_meta($id, $btkey.'column_span', true);
$bt_col_span = $bt_col_span ? $bt_col_span : 'col-lg-12';

$bt_text = wpautop(get_post_meta($id, $btkey.'text', true));
$bt_color = get_post_meta($id, $btkey.'color', true);
$bt_font_size = get_post_meta($id, $btkey.'font_size', true);

if($bt_color) $btstyle .= 'color:'.$bt_color.';';
if($bt_font_size) $btstyle .= 'font-size:'.$bt_font_size.'px;';
if($bt_color || $bt_font_size) $btstyle = 'style="'.$btstyle.'"';

$bt_identifier = get_post_meta($id, $btkey.'advanced_identifier', true);
if($bt_identifier) $btid = 'id="'.$bt_identifier.'"';

$bt_additional_css_classes = get_post_meta($id, $btkey.'advanced_additional_css_classes', true);
if($bt_additional_css_classes) $btcls = $bt_additional_css_classes;

$bt_html_anchor = get_post_meta($id, $btkey.'advanced_html_anchor', true);

$bt_args = array( 'id' => $btid, 'class' => $btcls, 'column_span' => $bt_col_span, 'block' => 'text', 'alignment' => '', 'anchor' => $bt_html_anchor);

get_template_part( 'template-parts/blocks/block-start', '', $bt_args);
	printf('<div %s>', $btstyle);
		print(do_shortcode($bt_text));
	printf('%s', '</div>');
get_template_part( 'template-parts/blocks/block-end'); ?>