<?php
// Check whether the header search is activated in the customizer.
$enable_header_search = get_theme_mod( 'enable_header_search', true );

if ( has_nav_menu( 'primary' ) ) {
	?>

		<nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e( 'Horizontal', 'twentytwenty' ); ?>" role="navigation">
			
			<ul class="primary-menu position-relative reset-list-style m-0 d-lg-flex align-items-center justify-content-between font-weight-semibold">

			<?php
			if ( has_nav_menu( 'primary' ) ) {

				wp_nav_menu(
					array(
						'container'  => '',
						'items_wrap' => '%3$s',
						'theme_location' => 'primary',
						'link_before' => '<span class="d-block ml-5 ml-xl-12">',
						'link_after' => '</span>',
						'depth'=>3
					)
				);
			}
			?>
			</ul>

		</nav><!-- .primary-menu-wrapper -->

	<?php
}  ?>
<?php
if ( true === $enable_header_search ) {
	?>

	<div class="toggle-wrapper search-toggle-wrapper d-none d-xl-block ml-3 pl-3">

		<button class="toggle search-toggle desktop-search-toggle p-0" data-toggle-target=".search-modal" data-toggle-body-class="showing-search-modal" data-set-focus=".search-modal .search-field" aria-expanded="false">
			<span class="toggle-inner">
				<?php twentytwenty_the_theme_svg( 'search' ); ?>
				<span class="toggle-text screen-reader-text"><?php _ex( 'Search', 'toggle text', 'twentytwenty' ); ?></span>
			</span>
		</button><!-- .search-toggle -->

	</div>

	<?php
} ?>